Bug 191161 - Install into /usr/lib/python2.4 broken
Install into /usr/lib/python2.4 broken
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: wxPython (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 08:21 EDT by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 09:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-05-09 08:21:33 EDT
Description of problem:

Installing some parts to /usr/lib/python2.4 and others to /usr/lib64/python2.4 
will not work.

 import wx
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: No module named wx

 for file in /usr/lib/python2.4/site-packages/wx*; do sudo ln 
$file  /usr/lib64/python2.4/site-packages/; done
[nbecker@nbecker4 examples]$ python
Python 2.4.2 (#1, Feb 12 2006, 03:45:41) 
[GCC 4.1.0 20060210 (Red Hat 4.1.0-0.24)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import wx
>>> 

Version-Release number of selected component (if applicable):
wxPython-common-gtk2-unicode-2.6.2.1-1_py2.4
wxPython2.6-gtk2-unicode-2.6.2.1-1_py2.4
wxPython2.6-devel-gtk2-unicode-2.6.2.1-1_py2.4


How reproducible:

everytime

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Miller 2006-05-09 08:32:56 EDT
> wxPython-common-gtk2-unicode-2.6.2.1-1_py2.4
> wxPython2.6-gtk2-unicode-2.6.2.1-1_py2.4
> wxPython2.6-devel-gtk2-unicode-2.6.2.1-1_py2.4

Where did these packages come from?
Comment 2 Neal Becker 2006-05-09 08:57:45 EDT
Oops!  I don't know.  I now have
rpm -qa 'wxPython*'
wxPython-2.6.3.2-1.fc5
wxPython-devel-2.6.3.2-1.fc5

and so far looks OK.  Sorry.

BTW, I also see wxPythonGTK2 and compat-wxPythonGTK2.  How do I know if I need 
these?
Comment 3 Matthew Miller 2006-05-09 09:41:21 EDT
The wxPythonGTK2 package needs to be cleaned up.

compat-wxPythonGTK2 is for if you need wxPython 2.4.x for an older program. If
you don't need that, don't install it, as it's not compatible with the 2.6 packages.

Note You need to log in before you can comment on or make changes to this bug.